apiVersion: v1
kind: Service
metadata:
  name: users-svc
spec:
  type: ClusterIP
  selector:
    app: users
    tier: backend
  ports:
  - protocol: TCP
    port: 3000
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: users
spec:
  selector:
    matchLabels:
      app: users
      tier: backend
      track: stable
  replicas: 1
  template:
    metadata:
      labels:
        app: users
        tier: backend
        track: stable
    spec:
      containers:
        - name: users
          image: registry.gitlab.com/omaralaa96/aws-demo/users:1.0.0
          imagePullPolicy: Always
          env:
          - name: PORT
            value: "3000"
          ports:
            - name: http
              containerPort: 3000
